Subject: bug#19012: 25.0.50; `help-window-select'

From: Drew Adams <[email-masked]>
Date: Fri, 14 Nov 2014 07:11:37 -0800 (PST)

> Then give us a recipe so we can reproduce that "bug"....
> Here with emacs -Q and evaluating...
> both C-h f and C-h v select the window showing *Help*.

Why do you not try the even simpler recipe I sent on 2014-11-12?
You clearly read that mail, as you replied to other parts of it.

With the latest Emacs build I have (and with others) the recipe
is 100% reproducible.  I am using MS Windows 7 64-bit.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Repository revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'

Here is the recipe again:

1. emacs -Q
2. Evaluate the code shown below (after recipe #5).
3. C-h v pop-up-frames RET
   That correctly creates the *Help* frame.  And because
   MS Windows alwayse focuses a new frame, it has the focus.
   OK so far.
4. Select the original frame (e.g. with the mouse), so that
   it, not *Help*, now has the focus.
5. C-h v help-window-select RET
   The *Help* window & frame are not selected/focused.
   They should be.

The code to evaluate at step #2 above:
(setq pop-up-frames  t)
(setq help-window-select  t)
(setq w32-grab-focus-on-raise  nil)
(add-to-list 'special-display-buffer-names
	      '("*Help*" foo ((background-color . "Thistle"))))
(defun foo (buf &optional args)
  (let (win)
    (setq win  (funcall special-display-function buf args))
    (raise-frame)
    win))